{ config, lib, ... }:
{
  collections.news.entry = { link, ... }: rec {
    name = "zhf-24-11";
    title = "NixOS 24.11 release hackathon and workshop";
    description = "Fediversity engineers met in Zürich at a NixOS 24.11 ZHF hackathon";
    date = "2024-11-28";
    author = "Valentin Gagarin";
    summary = ''
      Fediversity engineers met in Zürich at a [NixOS 24.11 ZHF hackathon](${link config.collections.events.by-name.zhf-24-11}) to present prototypes and exchange ideas with the Nix community.
    '';
    body = ''
      ${summary}

      Robert held a lightning talk on the design of [NixOps4](https://github.com/nixops4/nixops4), which is currently in the prototype stage of development.
      Before that, Nicolas had already shown an internal demonstration that NixOps4 is capable of deploying multiple NixOS services in the Fediversity test environment.

      In the afternoon, Robert, Valentin, and Koen got together with Eli from [Thymis](https://thymis.io) and Johannes from [Clan](https://clan.lol/) to walk each other through the architecture of their respective systems.
      This was an extraordinarily fruitful encounter that helped us to identify overlaps and potential for future collaboration!
    '';
  };
}
